[waffle] [PATCH 2/6] glx: Add support for robust access contexts.

2016-04-06 Thread Bas Nieuwenhuizen
Signed-off-by: Bas Nieuwenhuizen <b...@basnieuwenhuizen.nl> --- src/waffle/glx/glx_config.c | 7 +++ src/waffle/glx/glx_context.c | 4 src/waffle/glx/glx_display.c | 1 + src/waffle/glx/glx_display.h | 1 + 4 files changed, 13 insertions(+) diff --git a/src/waffle/glx/glx_conf

[waffle] [PATCH 1/6] wcore: Add support for robust access contexts.

2016-04-06 Thread Bas Nieuwenhuizen
Signed-off-by: Bas Nieuwenhuizen <b...@basnieuwenhuizen.nl> --- include/waffle/waffle.h | 4 man/waffle_config.3.xml | 24 src/waffle/core/wcore_config_attrs.c | 3 +++ src/waffle/core/wcore_config_attrs.h | 1 + src/waffl

[waffle] [PATCH 5/6] cgl: Add an error when trying to use a robust access context.

2016-04-06 Thread Bas Nieuwenhuizen
Signed-off-by: Bas Nieuwenhuizen <b...@basnieuwenhuizen.nl> --- src/waffle/cgl/cgl_config.m | 6 ++ 1 file changed, 6 insertions(+) diff --git a/src/waffle/cgl/cgl_config.m b/src/waffle/cgl/cgl_config.m index d7e8ed3..898ee24 100644 --- a/src/waffle/cgl/cgl_config.m +++ b/src/waff

[waffle] [PATCH 3/6] wgl: Add support for robust access contexts.

2016-04-06 Thread Bas Nieuwenhuizen
Signed-off-by: Bas Nieuwenhuizen <b...@basnieuwenhuizen.nl> --- src/waffle/wgl/wgl_config.c | 7 +++ src/waffle/wgl/wgl_context.c | 4 src/waffle/wgl/wgl_display.c | 1 + src/waffle/wgl/wgl_display.h | 1 + 4 files changed, 13 insertions(+) diff --git a/src/waffle/wgl/wgl_conf

[waffle] [PATCH 4/6] egl: Add support for robust access contexts.

2016-04-06 Thread Bas Nieuwenhuizen
Signed-off-by: Bas Nieuwenhuizen <b...@basnieuwenhuizen.nl> --- src/waffle/egl/wegl_config.c | 16 src/waffle/egl/wegl_context.c | 9 + src/waffle/egl/wegl_display.c | 1 + src/waffle/egl/wegl_display.h | 1 + 4 files changed, 27 insertions(+) diff --git a/src/

Re: [waffle] [PATCH 1/6] wcore: Add support for robust access contexts.

2016-04-11 Thread Bas Nieuwenhuizen
Could this be also committed with those changes or do you want me to make a v2 that removes the version check? I don't have commit access. Thanks, Bas Nieuwenhuizen On Mon, Apr 11, 2016 at 10:12 PM, Emil Velikov <emil.l.veli...@gmail.com> wrote: > On 11 April 2016 at 21:11, Emi

[waffle] [PATCH] egl: Support robust access contexts with EGL 1.5.

2016-04-15 Thread Bas Nieuwenhuizen
EGL 1.5 also supports the EGL_CONTEXT_OPENGL_ROBUST_ACCESS attribute without any extensions for both ES and non-ES. Signed-off-by: Bas Nieuwenhuizen <b...@basnieuwenhuizen.nl> --- src/waffle/egl/wegl_config.c | 9 ++--- src/waffle/egl/wegl_context.c | 9 +++-- src/waff